#include <stdio.h>
#include <string.h>
#define VELKOST_POLA 52
int main() {

    int pole[VELKOST_POLA]; // deklarácia poľa
    memset(pole,0,VELKOST_POLA * sizeof(int)); // inicializácia poľa nulami

    int participant_count = 0; // počet účastníkov
    for (int i = 0; i < VELKOST_POLA; ++i) {
        int value = 0; // premenná, v ktorej sa bude uchovávať hodnota zadaná používateľom
        int r = scanf("%d", &value); // uloženie tejto hodnoty
        if(r > 0 && value > 0) { // kontrola hodnoty na kladné číslo
            pole[i] = value; // inicializácia poľa už potrebnými hodnotami
            participant_count++; // zvýšenie počtu účastníkov
        } else {
            if(participant_count == 0) { // ak používateľ nezadal alebo zadal nesprávnu hodnotu, zobrazí sa chyba
                printf("Chyba: Málo platných hodnôt.\n");
            }
            break;
        }

    }

    int best_result = pole[0];

    for (int i = 0; i < participant_count; ++i) {
        printf("Súťažiaci č. %d vypil %d pohárov.\n", i + 1, pole[i]);
        if(best_result < pole[i]) {
            best_result = pole[i];
        }
    }

    for (int i = 0; i < participant_count; ++i) {
        if(pole[i] == best_result) {
            printf("Výherca je súťažiaci %d, ktorý vypil %d pohárov.\n", i + 1, best_result);
        }
    }

    return 0;
}

