#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#define LINE_SIZE 256
int main() {
    char line[LINE_SIZE];

    if (!fgets(line, LINE_SIZE, stdin) || atol(line) == 0) { // Načítanie prvej hodnoty a kontrola, či je to číslo
        printf("Nepodarilo sa nacitat zaklad x\n"); // Ak používateľ nič nezadal alebo zadal neplatné číslo, program sa ukončí
        return 0;
    }

    int x = atol(line); // Konverzia načítaného reťazca na číslo

    double res = 0;
    int coefficient = 1; // Premenná na uchovanie počtu polynómov
    for (int i = 2; i >= 0; i--) { // Polynóm má 3 koeficienty (pre x^2, x^1, x^0), takže iterácie idú od 2 do 0 vrátane
        if (!fgets(line, LINE_SIZE, stdin) || atol(line) == 0) { // Načítanie všetkých koeficientov a kontrola, či sú čísla
            printf("Nepodarilo sa nacitat polypolCountnom na %d mieste.\n", coefficient);
            return 0;
        }
        res += atol(line) * pow(x, i); // Aktuálny koeficient sa vynásobí x umocneným na i
        coefficient++; // Zvýšenie počítadla koeficientov
    }

    printf("%.2lf", res);

    return 0;
}


